﻿:root {
    --company-color: #b61e3f;
}

body {
    margin: 0;
    font-family: 'Titillium Web', sans-serif;
    font-size: 14px;
    line-height: 1.5;
    color: var(--company-color);
}

/* Site Layout */
.layout-row {
    margin: 0 !important;
}

.left-col {
    background-color: var(--company-color);
    height: 100%;
    min-height: 100vh !important;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.right-col {
    height: 100%;
    min-height: 96vh !important;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}

.page-container {
    flex: 0 1 50%;
    flex-direction: column;
}

    .page-container h1 {
        font-size: 2em;
        font-weight: 700;
        text-align: center;
        color: var(--company-color);
        letter-spacing: 0.1em;
    }

    .page-container p {
        text-align: center;
        color: rgba(0, 73, 143, 0.5);
    }

.welcome-page {
    text-align: center;
}

.login-page {
    width: 30%;
}

.edit-page,
.register-page {
    width: 40%;
}

div.user-list-page {
    height: 100%;
    min-height: 96vh !important;
    width: inherit;
    max-width: 80%;
}

/* Forms */
.user-form {
    line-height: 1.5;
    color: rgba(0,0,0,.65);
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    border-top: 3px solid var(--company-color);
    list-style: none;
    padding: 32px 64px;
    box-shadow: 0 2px 38px rgba(0, 0, 0, 0.09);
}

.input-field input[type=text]:focus,
.input-field input[type=password]:focus {
    border-bottom: 1px solid var(--company-color) !important;
    box-shadow: 0 1px 0 0 var(--company-color) !important;
}

.username {
    padding-right: 5px;
}

.user-header {
    display: inline-flex;
    float: right;
    padding: 10px 10px 0 0;
}

.user-form-btn {
    width: 100%;
    margin-top: 16px;
    background-color: var(--company-color);
}

    .user-form-btn:hover {
        background-color: var(--company-color);
        opacity: 0.65;
    }

    .user-form-btn:focus {
        background-color: var(--company-color);
        opacity: 0.65;
    }

.cancel-btn {
    margin-right: 10px;
}

.logout-form {
    padding: 32px;
}

.logout-btn {
    width: 100%;
    background-color: var(--company-color);
}

    .logout-btn:hover {
        background-color: var(--company-color);
        opacity: 0.65;
    }

    .logout-btn:focus {
        background-color: var(--company-color);
        opacity: 0.65;
    }

.pw-hint {
    font-size: 12px;
    color: #999999;
}

.btn-row {
    min-width: 100%;
    display: inline-flex;
    justify-content: space-evenly;
}

.confirm-btn {
    width: 100%;
    background-color: var(--company-color);
    margin: 0 10px;
}

/* error card */
.error-card {
    border-radius: 5px;
}

.redirect {
    text-align: center;
}

.error-text {
    color: white;
}

.error-text-red {
    color: red;
}

/* User List Datatable */

.user-table {
    width: 100% !important;
}

    .user-table th,
    .user-table td {
        height: 25px !important;
        padding: 5px 10px;
        border-radius: 0;
        border-bottom: 1px solid #DDDDDD
    }

.edit-col {
    text-align: center;
}

.permission-col {
    text-align: center;
}

input.disable-checkbox[type="checkbox"] {
    display: none;
}

    input.disable-checkbox[type="checkbox"] + label {
        font-size: 1rem;
        color: white;
    }

        input.disable-checkbox[type="checkbox"] + label::before {
            display: inline-block;
            width: 25px;
            height: 25px;
            line-height: 25px;
            background-color: var(--company-color);
            opacity: 0.85;
            border-radius: 12.5px;
            font-family: 'Material Design Icons';
            content: '\F0131'
        }

        input.disable-checkbox[type="checkbox"] + label:hover::before {
            background-color: var(--company-color);
            opacity: 0.65;
            cursor: pointer;
        }

    input.disable-checkbox[type="checkbox"]:checked + label::before {
        content: '\F0135'
    }

input.disable-checkbox-clicked[type="checkbox"] {
    display: none;
}

    input.disable-checkbox-clicked[type="checkbox"] + label {
        font-size: 1rem;
        color: white;
    }

        input.disable-checkbox-clicked[type="checkbox"] + label::before {
            display: inline-block;
            width: 25px;
            height: 25px;
            line-height: 25px;
            background-color: green;
            border-radius: 12.5px;
            font-family: 'Material Design Icons';
            content: '\F0131'
        }

        input.disable-checkbox-clicked[type="checkbox"] + label:hover::before {
            background-color: green;
            opacity: 0.65;
            cursor: pointer;
        }

    input.disable-checkbox-clicked[type="checkbox"]:checked + label::before {
        content: '\F0135'
    }

.user-disabled {
    background-color: lightgray;
}

.table-btn {
    background-color: var(--company-color);
    color: white !important;
    height: 25px !important;
    width: 25px !important;
    line-height: 25px;
    font-size: 1.2rem;
}

    .table-btn:hover {
        background-color: var(--company-color);
        opacity: 0.65;
    }

    .table-btn:focus {
        background-color: var(--company-color);
        opacity: 0.65;
    }

.save-btn {
    background-color: green;
    height: 25px !important;
    width: 25px !important;
    line-height: 25px;
    font-size: 1.2rem;
    margin: 0px 10px;
}

div.material-table .search {
    padding: 0 10px;
    border-bottom: solid 1px #DDDDDD;
}

    div.material-table .search input {
        font-size: 13px;
        margin: 0;
        border: transparent 0 !important;
        height: 25px;
    }

        div.material-table .search input::placeholder {
            color: #424242;
        }

        div .material-table .search input[type=search]:focus {
            border-bottom: 1px solid var(--company-color) !important;
            box-shadow: 0 1px 0 0 var(--company-color) !important;
        }

div.material-table .space {
    height: 25px;
}

div.material-table .table-header {
    height: 45px;
    padding-left: 5px;
    padding-right: 10px;
    align-items: center;
    display: flex;
    border-bottom: solid 1px #DDDDDD;
}

    div.material-table .table-header .actions {
        margin-left: auto;
    }

    div.material-table .table-header .btn-flat {
        min-width: 36px;
        padding: 0 8px;
    }

    div.material-table .table-header input {
        margin: 0;
        height: auto;
    }

div.material-table table tr {
    font-size: 13px;
}

    div.material-table table tr td {
        font-size: 13px;
        color: rgba(0, 0, 0, 0.87);
        border-bottom: solid 1px #DDDDDD;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

div.material-table table th {
    cursor: pointer;
}

    div.material-table table th.sorting:after,
    div.material-table table th.sorting_asc:after,
    div.material-table table th.sorting_desc:after {
        font-family: 'Material Design Icons';
        font-size: 12px;
        letter-spacing: normal;
        text-transform: none;
        content: '\F0045';
        letter-spacing: normal;
        text-transform: none;
        display: inline-block;
        word-wrap: normal;
        visibility: hidden;
    }

    div.material-table table th.sorting:hover:after,
    div.material-table table th.sorting_asc:after,
    div.material-table table th.sorting_desc:after {
        visibility: visible;
    }

    div.material-table table th.sorting_desc:after {
        content: '\F005D';
    }

.dataTables_scrollBody thead tr {
    visibility: collapse;
}

    .dataTables_scrollBody thead tr th.sorting:hover:after,
    .dataTables_scrollBody thead tr th.sorting_asc:after,
    .dataTables_scrollBody thead tr th.sorting_desc:after {
        visibility: hidden;
    }

@media only screen and (max-width: 1200px) {
    .login-page {
        width: 50%;
    }

    .edit-page,
    .register-page {
        width: 60%;
    }

    .user-table td {
        padding-right: 25px;
    }

    .user-form {
        padding: 48px 24px;
    }

    .red-text {
        font-size: 12px;
    }
}

@media only screen and (max-width: 992px) {
    .login-page {
        width: 60%;
    }

    .edit-page,
    .register-page {
        width: 70%;
    }

    .user-table th,
    .user-table td {
        justify-content: center;
        text-align: center !important;
        height: 35px !important;
        padding: 5px;
    }

    div.dataTables_scroll {
        width: 100%
    }

    .user-form {
        padding: 32px 16px;
    }

    .form-control {
        font-size: 14px !important;
    }

    .red-text {
        font-size: 10px;
    }

    .btn-row {
        max-width: 60%;
    }
}

@media only screen and (max-width: 600px) {
    .login-page {
        width: 90%;
    }

    .edit-page,
    .register-page {
        width: 90%;
    }
}